nb-javac Library - plugin detail

Plugin for Apache NetBeans, to install nb-javac. Please do not use for NetBeans 8.2.

n/a
Plugin owner: arusinha
Website:
Added: 2017-12-17
License: GPL-2-CP
Category: Editing
Downloaded: 6,599 times
Rating:
 4.5, by 1 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.96 MB   Last Update: 2019-03-01

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

Based on latest nb-java-x https://hg.netbeans.org/main/nb-java-x(-r 304c4120e4d9) Synced with jdk-12+25. Included bugfixes: NetBeans-2016, NetBeans-906

Verifications for NetBeans versions

11.0 verification PASSED See verification details
Download plugin   Download size: 0.98 MB   Last Update: 2018-11-15

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

Based on latest nb-java-x https://hg.netbeans.org/main/nb-java-x Synced with JDK 11+24. Included bugfix NetBeans-1217

Verifications for NetBeans versions

10.0 verification PASSED See verification details
Download plugin   Download size: 0.94 MB   Last Update: 2018-09-07

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

Signed plugin, built using JDK 10 based nb-javac codebase (https://hg.netbeans.org/main/nb-java-x -r d1788e48de9c)

Verifications for NetBeans versions

9.0 verification PASSED See verification details
Download plugin   Download size: 0.93 MB   Last Update: 2018-05-22

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

This is a version built from: http://hg.netbeans.org/main/nb-java-x which includes support for JDK 10, specifically Local Variable Type Inference.

Verifications for NetBeans versions

8.2 verification PASSED See verification details


Introduction

Plugin for Apache NetBeans, to install nb-javac. Please do not use for NetBeans 8.2.

[ You have to be logged in to be able to comment. ]

User Comments

  

Reason for caution message: "Please do not use for NetBeans 8.2"

plugin for NB-8.2 was used internally for dev-testing and should not be used otherwise.That's the reason for the cautioned saying it should not be used for nb 8.2.
NB-8.2 is already bundled with nb-javac and there is no need for separate plugin download and NB-8.2 is recommended to be used with JDK-8
Posted by arusinha on Apr 30, 2019
  

Why not for NetBeans 8.2?

The plugin's description says "Please do not use for NetBeans 8.2". At the same time, it is verified for this version. Either the description is outdated, or this plugin should not be listed for 8.2 .
Posted by JayEn84 on Apr 29, 2019